--- v2.4.7/drivers/block/ll_rw_blk.c	Sun Jul 22 19:17:15 2001
+++ vm-2.4.7/drivers/block/ll_rw_blk.c	Fri Aug  3 17:52:39 2001
@@ -1176,9 +1176,11 @@
 	 * use half of RAM
 	 */
 	high_queued_sectors = (total_ram * 2) / 3;
+	if (high_queued_sectors > MB(4))
+		high_queued_sectors = MB(4);
 	low_queued_sectors = high_queued_sectors / 3;
-	if (high_queued_sectors - low_queued_sectors > MB(128))
-		low_queued_sectors = high_queued_sectors - MB(128);
+	if (high_queued_sectors - low_queued_sectors > MB(1))
+		low_queued_sectors = high_queued_sectors - MB(1);
 
 
 	/*
